{{- if .Values.squidConfig.enabled -}}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "squid-proxy.fullname" . }}-config
  labels:
    {{- include "squid-proxy.labels" . | nindent 4 }}
data:
  squid.conf: |
    {{ .Values.squidConfig.conf | nindent 4 }}
  snippet.conf: |
    {{ .Values.squidConfig.snippet | nindent 4 }}
{{- end -}}
